aboutsummaryrefslogtreecommitdiffstats
path: root/tools/scons/files
diff options
context:
space:
mode:
Diffstat (limited to 'tools/scons/files')
-rw-r--r--tools/scons/files/.svn/entries62
-rw-r--r--tools/scons/files/.svn/prop-base/pywrap.sh.svn-base5
-rw-r--r--tools/scons/files/.svn/text-base/pywrap.sh.svn-base15
-rwxr-xr-xtools/scons/files/pywrap.sh15
4 files changed, 97 insertions, 0 deletions
diff --git a/tools/scons/files/.svn/entries b/tools/scons/files/.svn/entries
new file mode 100644
index 0000000..d7c80a7
--- /dev/null
+++ b/tools/scons/files/.svn/entries
@@ -0,0 +1,62 @@
+10
+
+dir
+36060
+svn://svn.openwrt.org/openwrt/trunk/tools/scons/files
+svn://svn.openwrt.org/openwrt
+
+
+
+2012-05-15T20:29:32.846704Z
+31743
+jow
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+3c298f89-4303-0410-b956-a3cf2f4a3e73
+
+pywrap.sh
+file
+
+
+
+
+2013-03-17T12:13:23.000000Z
+c969cc0565cc5bfdc3e749c4f84803c7
+2012-05-15T20:29:32.846704Z
+31743
+jow
+has-props
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+340
+
diff --git a/tools/scons/files/.svn/prop-base/pywrap.sh.svn-base b/tools/scons/files/.svn/prop-base/pywrap.sh.svn-base
new file mode 100644
index 0000000..869ac71
--- /dev/null
+++ b/tools/scons/files/.svn/prop-base/pywrap.sh.svn-base
@@ -0,0 +1,5 @@
+K 14
+svn:executable
+V 1
+*
+END
diff --git a/tools/scons/files/.svn/text-base/pywrap.sh.svn-base b/tools/scons/files/.svn/text-base/pywrap.sh.svn-base
new file mode 100644
index 0000000..f62f590
--- /dev/null
+++ b/tools/scons/files/.svn/text-base/pywrap.sh.svn-base
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+case "${0##*/}" in
+ pywrap.sh) arg1="";;
+ *) arg1="$0.py" ;;
+esac
+
+for bin in python python2 python2.7 python2.6 python2.5 python2.4; do
+ case "$($bin -V 2>&1)" in
+ "Python 2"*) exec $bin $arg1 "$@" ;;
+ esac
+done
+
+echo "Unable to find a Python 2.x interpreter for executing ${arg1:+$arg1 }$@ !" >&2
+exit 1
diff --git a/tools/scons/files/pywrap.sh b/tools/scons/files/pywrap.sh
new file mode 100755
index 0000000..f62f590
--- /dev/null
+++ b/tools/scons/files/pywrap.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+case "${0##*/}" in
+ pywrap.sh) arg1="";;
+ *) arg1="$0.py" ;;
+esac
+
+for bin in python python2 python2.7 python2.6 python2.5 python2.4; do
+ case "$($bin -V 2>&1)" in
+ "Python 2"*) exec $bin $arg1 "$@" ;;
+ esac
+done
+
+echo "Unable to find a Python 2.x interpreter for executing ${arg1:+$arg1 }$@ !" >&2
+exit 1